package org.openxma.dsl.platform.dao.impl;

import org.openxma.dsl.platform.dao.FilterExpression;

/**
 * A specification which defines an operation with two values.
 */
public abstract class BinaryExpression implements FilterExpression {

	private FilterExpression left;

	private FilterExpression right;

	/**
	 * @param left
	 * @param right
	 */
	public BinaryExpression(FilterExpression left,
			FilterExpression right) {
		super();
		this.left = left;
		this.right = right;
	}

	/**
	 * @return the left
	 */
	public FilterExpression getLeft() {
		return left;
	}

	/**
	 * @param left
	 *            the left to set
	 */
	public void setLeft(FilterExpression left) {
		this.left = left;
	}

	/**
	 * @return the right
	 */
	public FilterExpression getRight() {
		return right;
	}

	/**
	 * @param right
	 *            the right to set
	 */
	public void setRight(FilterExpression right) {
		this.right = right;
	}

}
