package org.openxma.dsl.platform.dao.impl;

import org.openxma.dsl.platform.dao.FilterExpression;
import org.openxma.dsl.platform.dao.Filterable;

public class ConstantExpression implements FilterExpression {

	private Object value;

	public ConstantExpression(Object value) {
		this.value = value;
	}

	public Object applyTo(Filterable filterable) {
		return this.value;
	}

	/**
	 * @return the value
	 */
	public Object getValue() {
		return value;
	}
	
	
	public static ConstantExpression create(Object value) {
		return new ConstantExpression(value);
	}

}
