package org.openxma.dsl.platform.xma.client.effects;

import org.eclipse.swt.SWT;
import org.eclipse.swt.events.MouseEvent;
import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Widget;

public class DefaultMouseEffect implements MouseEffect {
	
	Color defaultBackgroundColor;
	
	public DefaultMouseEffect() {
		super();
	}	

    public void mouseEnter(MouseEvent arg0) {
        Widget widget = arg0.widget;
        if (widget instanceof Control) {
            Control control = (Control)widget;
            defaultBackgroundColor = ((Control) widget).getBackground();            
            control.setBackground(widget.getDisplay().getSystemColor(SWT.COLOR_LIST_SELECTION));
        }        
    }

    public void mouseExit(MouseEvent arg0) {
        Widget widget = arg0.widget;
        if (widget instanceof Control) {
            Control control = (Control)widget;          
            control.setBackground(defaultBackgroundColor);
        }                   
    }

    public void mouseHover(MouseEvent arg0) {
    }		

}
